<%--
  - Author(s)  : 김예진
  - Date       : 2015.01.08
  - Description: 외주_인지세 현황 리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();

    //계약 상태 List
    RowSet statusRow = CommCodeManager.getCodeRowsetStatic("STAMP_DUTY_ISSUE_GB");    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/cont/stamptax/SubStampList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#p_cont_status").change(function(){$("#btnSearch").click();});
		$("#p_build_name").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#p_member_name").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		//$("#btnSearch").click();
		$("#dataClear").click(function(){$("#DutyFromDt").val("");$("#DutyToDt").val("");});
		
		jQuery("#btnExcel").click(function() {
			if(sheet1.RowCount() == 0) {
				alert("내역이 없습니다.");
				return;
			}
			var params = { FileName : "SubStampList.xls",  SheetName : "SubStampList", SheetDesign:0, Merge:1, DownCols:"DEPT_NAME|CON_DOC_NO|MOD_NO|BUILD_NAME|VENDCD|MEMBER_NAME"+
					"|CON_AMT|CON_CUR_CD|STAMP_DUTY_NO|STAMP_DUTY_TAX|STAMP_DUTY_DATE|REMARK", TitleText:"외주_인지세현황", UserMerge:"0,0,1,12", AutoSizeColumn:1  } ;
			sheet1.Down2Excel(params);
		});
		
		autoResize();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:100, MergeSheet:msPrevColumnMerge};
		init_sheet.Cols = [
		       			{Header:'Del',				Type:"DelCheck",		SaveName:"DEL_CHECK", 		Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',			Type:"Status", 			SaveName:"STATUS", 			Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'외주계약변경ID',	Type:"Text", 			SaveName:"SUB_CONT_MOD_ID", Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'현장명',			Type:"Text", 			SaveName:"DEPT_NAME", 		Width:150, 		Align:"Left" , 		Edit:"false"},
		    			{Header:'계약번호',			Type:"Text", 			SaveName:"CON_DOC_NO",		Width:100, 		Align:"Left", 		Edit:"false"},
		    			{Header:'변경차수',			Type:"Text", 			SaveName:"MOD_NO", 			Width:50,		Align:"Center" , 	Edit:"false"},
		    			{Header:'계약명',			Type:"Text", 			SaveName:"BUILD_NAME", 		Width:150, 		Align:"Left" , 		Edit:"false"},
		    			{Header:'사업자등록번호',	Type:"Text", 			SaveName:"VENDCD", 			Width:80, 		Align:"Center" , 	Format:"SaupNo",	Edit:"false"},
		    			{Header:'업체명',			Type:"Text", 			SaveName:"MEMBER_NAME", 	Width:80, 		Align:"Left" , 		Edit:"false"},
		    			{Header:'통화',				Type:"Text", 			SaveName:"CON_CUR_CD", 		Width:40, 		Align:"Center" , 	Edit:"false"},
		    			{Header:'계약금액',			Type:"Text", 			SaveName:"CON_AMT", 		Width:80, 		Align:"right",		Edit:"false"},
		    			{Header:'인지세ID',			Type:"Text", 			SaveName:"STAMP_DUTY_ID", 	Width:0,		Align:"Center" , 	Edit:"false", Hidden:"True"},
		    			{Header:'고유식별번호',		Type:"Text", 			SaveName:"STAMP_DUTY_NO", 	Width:80,		Align:"Center" , 	Edit:"false"},
		    			{Header:'인지세액',			Type:"Int", 			SaveName:"STAMP_DUTY_TAX", 	Width:60, 		Align:"right",		Edit:"false"},
		    			{Header:'발행일자',			Type:"Date", 			SaveName:"STAMP_DUTY_DATE", Width:70, 		Align:"Center" , 	Edit:"false"},
		    			{Header:'비고',				Type:"Text", 			SaveName:"REMARK", 			Width:100, 		Align:"Left",		Edit:"false"},
		    			{Header:'☞사본',			Type:"Image", 			SaveName:"FILE_YN", 		Width:40, 		Align:"center", 	Edit:"false",	Cursor:'pointer'},
		    			{Header:'FILE_ID',			Type:"Text", 			SaveName:"FILE_ID", 		Width:0, 		Align:"center", 	Hidden:"True"},
		]; 

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetImageList(1,"/img/buyer/button/bt_change.gif");
		sheet1.SetEditable(0);
		var info = [{StdCol:4 , SumCols:"13" , CaptionText:"소    계"}];

		sheet1.ShowSubSum (info);
		
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}
	/*
	IBSheet Event : Mouse Right Menu
	*/
	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	jQuery("#btnExcel").click();
	            break; 
		}
	}	
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	var info = {Type:"Text",Align:"Center"};
	    	for(i=1; i <= sheet1.RowCount(); i++){
				if(sheet1.GetCellValue(i, "DEPT_NAME")=="소    계"){
					sheet1.InitCellProperty(i, "DEPT_NAME", info);
					sheet1.SetMergeCell(i, 3, 1, 3);
				}
			}
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if (sheet1.ColSaveName(Col) == "FILE_YN") {
			 if (sheet1.GetCellValue(Row, "FILE_ID") != "") {
					viewFileListNew('SUB_STAMP_DUTY', sheet1.GetCellValue(Row,"STAMP_DUTY_ID"), "", "N", "", "", "", "", "N");
		     }
		 }
	 }
	/**
	 *	IBSheet Event Change
	 */	
	function sheet1_OnChange(Row, Col, Value, OldValue, RaiseFlag) { 
		var comboValue = sheet1.GetCellValue(Row,12);
		if(comboValue != "" ){
			sheet1.SetCellImage(Row ,13, "/img/buyer/button/bt_save_item.gif");
			return;
		}		
	}
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}

	//자동로그인 기능
	function f_gologin(login_id,login_pw){
		var f = document.form1;
		if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
			dlgAlert("User who logged in as administrator only can do automatic log-in.");
			return;
		}
	
		f.login_id.value = login_id;
		f.login_pw.value = login_pw;
	
		if( !submitXmlRequest("/sign_on_check", "", document.form1) ) {
			alert("Log-in is being processed.");
		};
		
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="">

<div align="left" id="title">
	<ul>
		<li>외주_인지세현황</li>
	</ul>
</div> 

<!-- 검색조건 시작 -->
<table id="search-table" class="search-form-table">
	<colgroup>
		<col width="100" />
		<col width="*" />
		<col width="100" />
		<col width="*" />
		<col width="100" />
	</colgroup>
  <tr height="25"> 
  	<th>현장</th>
   	<td>
  		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
	</td>
  	<th>계약명</th>
   	<!-- <td colspan="3"> -->
   	<td>
   		<INPUT type="text" name="p_build_name" class="input" value="<%= params.get("p_build_name") %>" style="width:90%"> 
	</td>	
	<td class="button" rowspan="2">
		<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
		<span class="btnSearch center" id="btnExcel"><a href="javascript:void(0);">엑셀</a></span>
	</td>	
  </tr>
  <tr> 
    <th>업체명</th>
    <td> 
       <INPUT type="text" name="p_member_name" class="input" value="<%= params.get("p_member_name") %>" style="width:90%"> 
    </td>
    <th>발행일자</th>
    <td> 
		<%= InputText.get("DutyFromDt", params.get("DutyFromDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('DutyFromDt');">
					~
		<%= InputText.get("DutyToDt", params.get("DutyToDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('DutyToDt');">
		<IMG name="dataClear" id="dataClear" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
    </td>    
    <%-- <th>상태</th>
    <td>
    	<%= HTMLMaker.getSelectTag(statusRow, "CODE", "NAME", "p_stamp_status", "width:150px;height=18;", "<option value=''>전체</option>", params.get("p_stamp_status")) %> 
    </td> --%>
  </tr>
</table>
<div id="sheet1_div" style="padding-top:5px; height: auto; min-height: 400px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '400px');</script>
</div>
</form>
<iframe id="fileDown" name="fileDown" style="display:none"></iframe>
<!-- <FORM id="form_filedown" name="form_filedown" method="get" action="/common/file/FileDownloadServlet" style="display:none">
	<input type="hidden" id="file_id" name="file_id"/>
</FORM> -->